Bug 1000745 - SELinux is preventing /usr/bin/gnome-shell from 'open' accesses on the chr_file /dev/rfkill.
SELinux is preventing /usr/bin/gnome-shell from 'open' accesses on the chr_fi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9c7f4efafa769acb27836249528...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 17:03 EDT by Moez Roy
Modified: 2013-09-10 02:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 02:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-08-24 17:03:53 EDT
Description of problem:
SELinux is preventing /usr/bin/gnome-shell from 'open' accesses on the chr_file /dev/rfkill.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-shell should be allowed open access on the rfkill chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-shell /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:wireless_device_t:s0
Target Objects                /dev/rfkill [ chr_file ]
Source                        gnome-shell
Source Path                   /usr/bin/gnome-shell
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-shell-3.9.90-1.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-71.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc6.git2.1.fc21.x86_64 #1
                              SMP Thu Aug 22 21:02:34 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-08-23 22:50:55 PDT
Last Seen                     2013-08-23 23:47:40 PDT
Local ID                      2d3ae7ea-129b-4b40-870d-e02798c35873

Raw Audit Messages
type=AVC msg=audit(1377326860.854:597): avc:  denied  { open } for  pid=5564 comm="gnome-shell" path="/dev/rfkill" dev="devtmpfs" ino=18492 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:wireless_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1377326860.854:597): arch=x86_64 syscall=open success=no exit=EACCES a0=7f23d257be5c a1=2 a2=25d86d0 a3=7fffad2d6ff0 items=0 ppid=5532 pid=5564 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=4294967295 tty=(none) comm=gnome-shell exe=/usr/bin/gnome-shell subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-shell,xdm_t,wireless_device_t,chr_file,open

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc6.git4.1.fc21.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-27 10:10:54 EDT
What does

# ps -efZ |grep xdm

# id -Z
Comment 2 Moez Roy 2013-09-08 07:40:57 EDT
[user@localhost ~]$ ps -efZ |grep xdm
system_u:system_r:xdm_t:s0-s0:c0.c1023 root 705    1  0 Sep05 ?        00:00:00 /usr/sbin/gdm
system_u:system_r:xdm_t:s0-s0:c0.c1023 root 1427 705  0 Sep05 ?        00:00:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
system_u:system_r:xdm_t:s0-s0:c0.c1023 root 1658 1427  0 Sep05 ?       00:00:00 gdm-session-worker [pam/gdm-password]
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 user 14297 14274  0 04:40 pts/1 00:00:00 grep --color=auto xdm
[user@localhost ~]$ id -Z
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
[user@localhost ~]$
Comment 3 Miroslav Grepl 2013-09-09 13:48:07 EDT
Did it happen again?
Comment 4 Moez Roy 2013-09-09 14:40:27 EDT
No, because I downgraded back to Fedora 19.

Note You need to log in before you can comment on or make changes to this bug.